Bug 441343 - Review Request: guilt - Scripts to manage quilt-like patches on top of git
Review Request: guilt - Scripts to manage quilt-like patches on top of git
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-07 13:26 EDT by Eric Sandeen
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version: F9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-22 17:05:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Eric Sandeen 2008-04-07 13:26:53 EDT
Spec URL: http://sandeen.fedorapeople.org/guilt-package/guilt.spec
SRPM URL: http://sandeen.fedorapeople.org/guilt-package/guilt-0.29-1.fc8.src.rpm
Description:

Guilt allows one to use quilt functionality on top of a Git repository.
Changes are maintained as patches which are committed into Git.  Commits can
be removed or reordered, and the underlying patch can be refreshed based on
changes made in the working directory. The patch directory can also be
placed under revision control, so you can have a separate history of changes
made to your patches.

F9 koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=554591
Comment 1 Jason Tibbitts 2008-04-08 00:39:21 EDT
* source files match upstream:
   065ba5cd7933eba11fa13dc1af653721d6de6ebc965791a25680d34b9598ee69  
   guilt-0.29.tar.bz2
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   guilt = 0.29-1.fc9
  =
   /bin/sh
   bash
   gawk
   git
   sed
* %check is present and all tests pass.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Eric Sandeen 2008-04-08 10:27:14 EDT
New Package CVS Request
=======================
Package Name: guilt
Short Description: Scripts to manage quilt-like patches on top of git
Owners: sandeen
Branches: F-8 EL-5
InitialCC:
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-04-08 14:18:01 EDT
cvs done.
Comment 4 Jason Tibbitts 2008-05-12 16:20:54 EDT
Can we close this now?
Comment 5 Eric Sandeen 2008-05-22 17:05:51 EDT
We can close this now.  Sorry!

Note You need to log in before you can comment on or make changes to this bug.